{% extends 'dashboard/base.html' %}

{% block styles %}
  {{super()}}
  <link href="https://unpkg.com/gijgo@1.9.13/css/gijgo.min.css" rel="stylesheet" type="text/css" />
{% endblock %}

{% block scripts %}
  <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
  <script src="https://unpkg.com/gijgo@1.9.13/js/gijgo.min.js" type="text/javascript"></script>
  <script>
    $('#startsdatepicker').datepicker({
        uiLibrary: 'bootstrap4',
        startDate: new Date(),
        minDate:  new Date(new Date().setDate(new Date().getDate()-1)),
        format: 'dd/mm/yyyy'
    });
    $('#endsdatepicker').datepicker({
        uiLibrary: 'bootstrap4',
        startDate: new Date(),
        minDate: new Date(new Date().setDate(new Date().getDate()-1)),
        format: 'dd/mm/yyyy',
        minDate: function () {
            if($('#startsdatepicker').val() != ''){
                return $('#startsdatepicker').val()
            }
            else {
                return new Date(new Date().setDate(new Date().getDate()-1));
            }
        },
        maxDate: function () {
            var start = $('#startsdatepicker').val()
            var parts = start.split('/');
            var starts = new Date(parts[2], parts[1], parts[0]);
            starts.setDate(new Date(starts).getDate()+1)
            if($('#startsdatepicker').val() == ''){
                return new Date(new Date().setDate(new Date().getDate()+2))
            }
            else{
                return getFormattedDate(starts)
            }
        },
    });
    function getFormattedDate(date) {
        let year = date.getFullYear();
        let month = (date.getMonth()).toString().padStart(2, '0');
        let day = date.getDate().toString().padStart(2, '0');

        return day + '/' + month + '/' + year;
    }
    $('#starttimepicker').timepicker({
        mode: '24hr',
        uiLibrary: 'bootstrap4'
    });
    $('#endstimepicker').timepicker({
        mode: '24hr',
        uiLibrary: 'bootstrap4'
    });
    on_position_changed()
    function on_position_changed(){
        var value = document.getElementById("type").value
        var mentordiv = document.getElementById("mentordiv")
        var mentor = document.getElementById("mentor")

        if (value == 'Training' || value == 'SweatBox'){
            mentordiv.style.display = "block"
            training_positions.style.display = "block"
            positions.style.display = "none"
        } else {
            mentor.value = undefined
            mentordiv.style.display = "none"
            positions.style.display = "block"
            training_positions.style.display = "none"
        }
    }
  </script>
  {{super()}}
{% endblock %}

{% block page_content %}
  <div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-800">Book ATC Session</h1>
  </div>
  <div class="row">
    <div class="col-xl-12 col-lg-12">
        <div class="card shadow mb-12">
            {% if error %}
            <div class="alert alert-danger card-header py-3 d-flex flex-row align-items-center justify-content-between">
            {{error}}
            </div>
            {% else %}
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">

            </div>
            {% endif %}
            <div class="card-body">
                <form id="sessionform" action="" method="post">
                    <input name="cid" hidden="true" value="{{current_user.cid}}">
                    <h5>Type</h5>
                    <select id="type" name="type" class="form-control" onchange="on_position_changed()">
                        <option value="Live">Live</option>
                        {% if mentors %}
                        <option value="Training">Training</option>
                        <option value="SweatBox">SweatBox</option>
                        {% endif %}
                    </select>
                    <br>
                    <div id="positions" style="display:none;">
                        <h5>Position</h5>
                        <select name="position" class="form-control">
                            {% for atcposition in atcpositions %}
                                <option value="{{atcposition.position}}">{{atcposition.position}}</option>
                            {% endfor %}
                        </select>
                        <br>
                    </div>
                    <div id="training_positions" style="display:none;">
                        <h5>Position</h5>
                        <select name="training_position" class="form-control">
                            {% for atcposition in training_atcpositions %}
                                <option value="{{atcposition.position}}">{{atcposition.position}}</option>
                            {% endfor %}
                        </select>
                        <br>
                    </div>
                    <div id="mentordiv" style="display:none;">
                        <h5>Mentor</h5>
                        <select id="mentor" name="mentor" class="form-control">
                            {% if mentors %}
                            {%for mentor in mentors%}
                            <option value="{{mentor.cid}}">{{mentor.cid}} - {{mentor.name}}</option>
                            {%endfor%}
                            {% endif %}
                        </select>
                        <br>
                    </div>
                    <h5>Date</h5>
                    <div class="input-group mb-3">
                        <input id="startsdatepicker" name="startsdate"  placeholder="Start Date" width="50%">
                        <input id="starttimepicker" name="startstime"  placeholder="Start Time (UTC)" width="50%" />
                    </div>
                    <div class="input-group mb-3">
                      <input id="endsdatepicker" name="endsdate" placeholder="End Date" width="50%"/>
                      <input id="endstimepicker" name="endstime" placeholder="End Time (UTC)" width="50%" />
                    </div>
                    <br>
                    <button style="float: right;" type="submit" class="btn btn-success">Book Session</button>
                </form>
            </div>
        </div>
    </div>
  </div>
{% endblock %}
